<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="cf2439a4dd94592b" weblate-flags="safe-html, strict-same">
        <source>= Serializing</source>
        <target state="translated">= 序列化</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">11</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8bd1b1b1aee78718" weblate-flags="safe-html, strict-same">
        <source>Serialization is the process where a JSON document represented in memory by a &lt;&lt;ref_value&gt;&gt; is turned into a sequence of characters. The library provides the following free functions and types for serialization:</source>
        <target state="translated">序列化是指将内存中由&amp;lt;&lt;ref_value&gt;&amp;gt;表示的JSON文档转换为字符序列的过程。该库提供以下用于序列化的自由函数和类型：&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b4c4db868dbf643a" weblate-flags="safe-html, strict-same">
        <source>Name</source>
        <target state="translated">名称</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f7f5c115cf553484" weblate-flags="safe-html, strict-same">
        <source>Description</source>
        <target state="translated">描述</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dfbf3a0bed486c76" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_operator_lt_lt&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_operator_lt_lt&gt;&amp;gt;&lt;/ref_operator_lt_lt&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="49f30a6c5a073ccd" weblate-flags="safe-html, strict-same">
        <source>Serialize a &lt;&lt;ref_value&gt;&gt;, &lt;&lt;ref_array&gt;&gt;, &lt;&lt;ref_object&gt;&gt;, or &lt;&lt;ref_string&gt;&gt;</source>
        <target state="translated">将 &amp;lt;&lt;ref_value&gt;&amp;gt;、&amp;lt;&lt;ref_array&gt;&amp;gt;、&amp;lt;&lt;ref_object&gt;&amp;gt; 或 &amp;lt;&lt;ref_string&gt;&amp;gt; 序列化&lt;/ref_string&gt;&lt;/ref_object&gt;&lt;/ref_array&gt;&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">18</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="53a3ffb059d5f214" weblate-flags="safe-html, strict-same">
        <source>to a {std_ostream}.</source>
        <target state="translated">到 {std_ostream}</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1c63baa3ece6be33" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_serialize&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_serialize&gt;&amp;gt;&lt;/ref_serialize&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="623afa2655bb0855" weblate-flags="safe-html, strict-same">
        <source>Return a {std_string} representing a serialized &lt;&lt;ref_value&gt;&gt;, &lt;&lt;ref_array&gt;&gt;,</source>
        <target state="translated">返回一个 {std_string}，表示序列化后的 &amp;lt;&lt;ref_value&gt;&amp;gt;、&amp;lt;&lt;ref_array&gt;&amp;gt;、&lt;/ref_array&gt;&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ae49edd4278c6ce" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_object&gt;&gt;, or &lt;&lt;ref_string&gt;&gt;.</source>
        <target state="translated">&amp;lt;&lt;ref_object&gt;&amp;gt; 或 &amp;lt;&lt;ref_string&gt;&amp;gt;。&lt;/ref_string&gt;&lt;/ref_object&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7e03364cc01cedbe" weblate-flags="safe-html, strict-same">
        <source>&lt;&lt;ref_serializer&gt;&gt;</source>
        <target state="translated">&amp;lt;&lt;ref_serializer&gt;&amp;gt;&lt;/ref_serializer&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">29</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4a08a7976041ad19" weblate-flags="safe-html, strict-same">
        <source>A stateful object which may be used to efficiently serialize one or more</source>
        <target state="translated">一个有状态的对象，可用于高效地序列化一个或多个</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">29</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e8fb710919706b68" weblate-flags="safe-html, strict-same">
        <source>instances of &lt;&lt;ref_value&gt;&gt;, &lt;&lt;ref_array&gt;&gt;, &lt;&lt;ref_object&gt;&gt;, or &lt;&lt;ref_string&gt;&gt;. |===</source>
        <target state="translated">&amp;lt;&lt;ref_value&gt;&amp;gt;、&amp;lt;&lt;ref_array&gt;&amp;gt;、&amp;lt;&lt;ref_object&gt;&amp;gt; 或 &amp;lt;&lt;ref_string&gt;&amp;gt; 的实例。 |===&lt;/ref_string&gt;&lt;/ref_object&gt;&lt;/ref_array&gt;&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">31</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="48276e357bc3dc7a" weblate-flags="safe-html, strict-same">
        <source>To facilitate debugging and ease of output, library container types may be written to standard output streams using the stream operator:</source>
        <target state="translated">为便于调试和输出，库中的容器类型可通过流操作符写入标准输出流：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">34</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="014d50f68128ac09" weblate-flags="safe-html, strict-same">
        <source>The &lt;&lt;ref_serialize&gt;&gt; function converts a &lt;&lt;ref_value&gt;&gt; into a {std_string}:</source>
        <target state="translated">&amp;lt;&lt;ref_serialize&gt;&amp;gt; 函数将一个 &amp;lt;&lt;ref_value&gt;&amp;gt; 转换为 {std_string}:&lt;/ref_value&gt;&lt;/ref_serialize&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">42</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="248edf0e6228f72a" weblate-flags="safe-html, strict-same">
        <source>In situations where serializing a &lt;&lt;ref_value&gt;&gt; in its entirety is inefficient or even impossible, &lt;&lt;ref_serializer&gt;&gt; can be used to serialize a &lt;&lt;ref_value&gt;&gt; incrementally. This may be done for a variety of reasons, such as to avoid buffering the entire output, or to ensure that a fixed amount of work is performed in each cycle. Instances of &lt;&lt;ref_serializer&gt;&gt; maintain an output state using internal dynamically allocated structures, with an interface to retrieve successive buffers of the serialized output into a caller provided buffer. Here is an example, demonstrating how &lt;&lt;ref_operator_lt_lt&gt;&gt; may be implemented using a &lt;&lt;ref_serializer&gt;&gt;:</source>
        <target state="translated">在完整序列化一个 &amp;lt;&lt;ref_value&gt;&amp;gt; 效率低下甚至不可行的情况下，可使用 &amp;lt;&lt;ref_serializer&gt;&amp;gt; 对其进行逐步序列化。这样做有多种原因，例如避免缓冲整个输出，或确保每个周期执行固定量的工作。&amp;lt;&lt;ref_serializer&gt;&amp;gt; 的实例通过内部动态分配的结构维护输出状态，并提供接口，将序列化输出的连续缓冲区写入调用方提供的缓冲区中。以下示例展示了如何使用 &amp;lt;&lt;ref_serializer&gt;&amp;gt; 来实现 &amp;lt;&lt;ref_operator_lt_lt&gt;&amp;gt;：&lt;/ref_operator_lt_lt&gt;&lt;/ref_serializer&gt;&lt;/ref_serializer&gt;&lt;/ref_serializer&gt;&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">49</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6872116328ed10ba" weblate-flags="safe-html, strict-same">
        <source>As with the parser, the serializer may be reused by calling &lt;&lt;ref_serializer_reset&gt;&gt;. This sets up the object to serialize a new instance and retains previously allocated memory. This can result in performance improvements when multiple variables are serialized.</source>
        <target state="translated">与解析器类似，序列化器可通过调用 &amp;lt;&lt;ref_serializer_reset&gt;&amp;gt; 重复使用。这会将对象重置为序列化新实例的状态，并保留先前分配的内存，从而在序列化多个变量时提升性能。&lt;/ref_serializer_reset&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">64</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
